#include "k_inc_force"
#include "k_inc_debug"

void main ()
{
    object oSource = OBJECT_SELF; 
    float fDur1 = 20.0;
    float fDur2 = 10.0;
    float fDur3 = 30.0;
    


    effect eVFX1 = EffectVisualEffect(1042);
    effect eVFX2 = EffectVisualEffect(2062); // 2045||2046
    effect eVFX3 = EffectVisualEffect(1018);

    effect eEffect1 = EffectAbilityIncrease(ABILITY_STRENGTH, 5); 
    effect eEffect2 = EffectAbilityIncrease(ABILITY_DEXTERITY, 4); 
    effect eEffect3 = EffectAbilityIncrease(ABILITY_CONSTITUTION, 4);
    effect eRun = EffectMovementSpeedIncrease(150);

    effect eEffect4 = EffectAbilityDecrease(ABILITY_WISDOM, 2); 
    effect eEffect5 = EffectAbilityDecrease(ABILITY_INTELLIGENCE, 3); 
    effect eEffect6 = EffectAbilityDecrease(ABILITY_CHARISMA, 1);

    effect eEffect7 = EffectAbilityDecrease(ABILITY_STRENGTH, 4); 
    effect eEffect8 = EffectAbilityDecrease(ABILITY_DEXTERITY, 4); 
    effect eEffect9 = EffectAbilityDecrease(ABILITY_CONSTITUTION, 3);
    effect eEffect10 = EffectDamageForcePoints(GetCurrentForcePoints(OBJECT_SELF));
    effect eEffect11 = EffectDamage(GetCurrentHitPoints(OBJECT_SELF)-1, DAMAGE_TYPE_UNIVERSAL, DAMAGE_POWER_NORMAL);

    ApplyEffectToObject(1, eRun, oSource, fDur1);
    ApplyEffectToObject(1, eEffect1, oSource, fDur1);
    ApplyEffectToObject(1, eEffect2, oSource, fDur1);
    ApplyEffectToObject(1, eEffect3, oSource, fDur1);
    ApplyEffectToObject(1, eEffect4, oSource, fDur3);
    ApplyEffectToObject(1, eEffect5, oSource, fDur3);
    ApplyEffectToObject(1, eEffect6, oSource, fDur3);
    ApplyEffectToObject(1, eVFX1, oSource, fDur1);
    ApplyEffectToObject(1, eVFX2, oSource, fDur1);
    ApplyEffectToObject(1, eVFX3, oSource, fDur1);
    DelayCommand(fDur1, ApplyEffectToObject(1, eEffect7, oSource, fDur2));
    DelayCommand(fDur1, ApplyEffectToObject(1, eEffect8, oSource, fDur2));
    DelayCommand(fDur1, ApplyEffectToObject(1, eEffect9, oSource, fDur2));
    DelayCommand(fDur1, ApplyEffectToObject(0, eEffect10, oSource));
    DelayCommand(fDur1, ApplyEffectToObject(0, eEffect11, oSource));

}